Bug 563541 - python-2.6.4-18.fc13 fails to build on ppc/ppc64
python-2.6.4-18.fc13 fails to build on ppc/ppc64
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
rawhide
powerpc Linux
low Severity medium
: ---
: ---
Assigned To: Dave Malcolm
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 545179 569695
  Show dependency treegraph
 
Reported: 2010-02-10 09:48 EST by Josh Boyer
Modified: 2010-03-01 23:02 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-11 16:48:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
python-2.6.4-18.fc13 build log (55.95 KB, application/octet-stream)
2010-02-10 09:48 EST, Josh Boyer
no flags Details

  None (edit)
Description Josh Boyer 2010-02-10 09:48:29 EST
Created attachment 390016 [details]
python-2.6.4-18.fc13 build log

Description of problem:

The dtrace patch that was added doesn't seem to have anything for the ppc/ppc64 architectures in it, so the build fails with a #error unknown architecture.

I'm surprised it has sparc, but not ppc/ppc64.  The full build log is attached.
Comment 1 Mark Wielaard 2010-02-10 13:52:01 EST
Ah right, that is from phelper.d which is not useful to systemtap (only to dtrace). I'll suggest a patch that excludes it.

dtrace only works on x86 and sparc, which is why that file doesn't have any other alternatives.
Comment 2 Dave Malcolm 2010-02-10 18:36:44 EST
(In reply to comment #1)
> Ah right, that is from phelper.d which is not useful to systemtap (only to
> dtrace). I'll suggest a patch that excludes it.
> 
> dtrace only works on x86 and sparc, which is why that file doesn't have any
> other alternatives.    
Mark went ahead and did this (see bug 545179); the new patch (attachment 390110 [details]) has no arch-specific code (other than a few sparc-specific "nop" hooks).

I've committed the new patch to dist-cvs; tagged as:
python-2_6_4-19_fc13 and built into dist-f13 :
http://koji.fedoraproject.org/koji/buildinfo?buildID=155535

I've verified the feature still works on an i686 box (see https://bugzilla.redhat.com/show_bug.cgi?id=545179#c16 for a way of testing this; would be nice to verify that the feature works on ppc builds also).


Hopefully this should now fix the ppc/ppc64 builds; marking this bug as MODIFIED.
Comment 3 Josh Boyer 2010-02-11 16:48:43 EST
-19 does indeed build again on ppc/ppc64.  Thanks for the quick response, I very much appreciate it.

Note You need to log in before you can comment on or make changes to this bug.